# Record Class VulkanPhysicalDeviceIDProperties

java.lang.Object
java.lang.Record
com.io7m.jcoronado.api.VulkanPhysicalDeviceIDProperties

Record Components:
  `deviceUUID` - A universally unique identifier for the device
  `driverUUID` - A universally unique identifier for the driver build in use by the device
  `deviceLUID` - A locally unique identifier for the device
  `deviceNodeMask` - A bitfield identifying the node within a linked device adapter corresponding to the device
  `deviceLUIDValid` - A boolean value that will be `true` if deviceLUID contains a valid LUID and deviceNodeMask contains a valid node mask, and `false` if they do not

public record VulkanPhysicalDeviceIDProperties(UUID deviceUUID, UUID driverUUID, UUID deviceLUID, int deviceNodeMask, boolean deviceLUIDValid) extends Record
The ID properties for the device.

See Also:
  - "VkPhysicalDeviceIDProperties"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanPhysicalDeviceIDProperties(UUID deviceUUID, UUID driverUUID, UUID deviceLUID, int deviceNodeMask, boolean deviceLUIDValid)`
  The ID properties for the device.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UUID`
  `deviceLUID()`
  Returns the value of the `deviceLUID` record component.
  `boolean`
  `deviceLUIDValid()`
  Returns the value of the `deviceLUIDValid` record component.
  `int`
  `deviceNodeMask()`
  Returns the value of the `deviceNodeMask` record component.
  `UUID`
  `deviceUUID()`
  Returns the value of the `deviceUUID` record component.
  `UUID`
  `driverUUID()`
  Returns the value of the `driverUUID` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VulkanPhysicalDeviceIDProperties

    public VulkanPhysicalDeviceIDProperties(UUID deviceUUID, UUID driverUUID, UUID deviceLUID, int deviceNodeMask, boolean deviceLUIDValid)
    The ID properties for the device.
    Parameters:
      `deviceUUID` - A universally unique identifier for the device
      `driverUUID` - A universally unique identifier for the driver build in use by the device
      `deviceLUID` - A locally unique identifier for the device
      `deviceNodeMask` - A bitfield identifying the node within a linked device adapter corresponding to the device
      `deviceLUIDValid` - A boolean value that will be `true` if deviceLUID contains a valid LUID and deviceNodeMask contains a valid node mask, and `false` if they do not
    See Also:
      - "VkPhysicalDeviceIDProperties"

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### deviceUUID

    public UUID deviceUUID()
    Returns the value of the `deviceUUID` record component.
    Returns:
      the value of the `deviceUUID` record component

  - ### driverUUID

    public UUID driverUUID()
    Returns the value of the `driverUUID` record component.
    Returns:
      the value of the `driverUUID` record component

  - ### deviceLUID

    public UUID deviceLUID()
    Returns the value of the `deviceLUID` record component.
    Returns:
      the value of the `deviceLUID` record component

  - ### deviceNodeMask

    public int deviceNodeMask()
    Returns the value of the `deviceNodeMask` record component.
    Returns:
      the value of the `deviceNodeMask` record component

  - ### deviceLUIDValid

    public boolean deviceLUIDValid()
    Returns the value of the `deviceLUIDValid` record component.
    Returns:
      the value of the `deviceLUIDValid` record component